Get tenant settings
GET
/tenants/me/settings
Returns the resource limits and configuration settings for the authenticated tenant.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Tenant settings
Tenant settings response with resource limits and configuration.
object
archive_batch_size
required
Archive batch size (number of events).
integer format: int32
archive_batch_timeout_secs
required
Archive batch timeout in seconds.
integer format: int32
max_views
Maximum number of views allowed (null = unlimited).
integer | null format: int32
purge_after_archive
required
Whether to purge events after archiving.
boolean
rate_limit_rps
required
Rate limit in requests per second.
integer format: int32
snapshot_min_interval_secs
required
Minimum seconds between snapshots for a view.
integer format: int32
storage_quota_bytes
Storage quota in bytes (null = unlimited).
integer | null format: int64
wasm_memory_limit_bytes
required
WASM memory limit in bytes.
integer format: int64
wasm_timeout_ms
required
WASM execution timeout in milliseconds.
integer format: int32
Example
{ "archive_batch_size": 10000, "archive_batch_timeout_secs": 30, "max_views": null, "purge_after_archive": true, "rate_limit_rps": 100, "snapshot_min_interval_secs": 30, "storage_quota_bytes": null, "wasm_memory_limit_bytes": 67108864, "wasm_timeout_ms": 5000}Unauthorized
Server error